Support » Plugin: Quick Contact Form » Duplicate Mime headers

  • Hi Graham,
    We have chatted in the past several years ago.
    I’ve been using your excellent plugin for many years. Great work.

    One serious suggestion.

    The issue is when the word-press PHPMailer class is used for sending the emails, it adds a ‘MIME-Version: 1.0’ into the email headers. This plugin does the same, so the email ends up having to of these headers. While most SMTP servers are ok with that, some refuse to send the email with the duplicate header (most notably, AWS SES). I had to go into the file “quick-contact-form.php” and delete all three instances where it had “”MIME-Version: 1.0\r\n””
    and now my system works.

    This has been an ongoing issue for a long time.

    My suggestion would be to have this as a variable in settings whether or not to use mime settings. That would help us by not having to go into the file each time the plugin is updated.
    Hope to hear back with your comments

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘Duplicate Mime headers’ is closed to new replies.